SDL_DestroyWindow(3)

NAME
SDL_DestroyWindow - Destroy a window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_DestroyWindow(SDL_Window *window);

DESCRIPTION
Any child windows owned by the window will be recursively destroyed as well.

Note that on some platforms, the visible window may not actually be removed from the screen until the SDL event loop is pumped again, even though the

SDL_Window
 is no longer valid after this call.

FUNCTION PARAMETERS

window
    the window to destroy.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreatePopupWindow(3), •(3), SDL_CreateWindow(3), •(3), SDL_CreateWindowWithProperties(3)